idf_component_register(
    SRCS
        "WiFi.c"
    INCLUDE_DIRS
        "."
    REQUIRES
        "SystemK"
        "esp_wifi"
        "nvs_flash"
        "esp_netif"
        "esp_http_client"
        "esp_event"
        "esp_system"
        "freertos"
        "esp-tls"
        "wifi_provisioning"
        "esp_https_ota"
        "app_update"
        "NVM"
)
